# Yahoo! UI Library

### Menu 2.8.0r4

Yahoo! UI Library > menu > contextmenuitem.js (source view)
Search:
Filters Show Private Show Protected Show Deprecated

    /**
    * Creates an item for a context menu.
    *
    * @param {String} p_oObject String specifying the text of the context menu item.
    * @param {<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-
    * one-html.html#ID-74680021">HTMLLIElement</a>} p_oObject Object specifying the
    * <code>&#60;li&#62;</code> element of the context menu item.
    * @param {<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-
    * one-html.html#ID-38450247">HTMLOptGroupElement</a>} p_oObject Object
    * specifying the <code>&#60;optgroup&#62;</code> element of the context
    * menu item.
    * @param {<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-
    * one-html.html#ID-70901257">HTMLOptionElement</a>} p_oObject Object specifying
    * the <code>&#60;option&#62;</code> element of the context menu item.
    * @param {Object} p_oConfig Optional. Object literal specifying the
    * configuration for the context menu item. See configuration class
    * documentation for more details.
    * @class ContextMenuItem
    * @constructor
    * @extends YAHOO.widget.MenuItem
    * @deprecated As of version 2.4.0 items for YAHOO.widget.ContextMenu instances
    * are of type YAHOO.widget.MenuItem.
    */
    YAHOO.widget.ContextMenuItem = YAHOO.widget.MenuItem;

Copyright © 2009 Yahoo! Inc. All rights reserved.